<?php
class ProductController extends ProductControllerCore
{
	
	
	public function initContent()
	{
		parent::initContent();
		if (!$this->errors)
		{
			$select_fields = array();
			if ($this->product->customizable)
			{
				
				$texts = $this->context->cart->getProductCustomization($this->product->id, Product::CUSTOMIZE_SELECTFIELD, true);
			
				foreach ($texts as $text_field)
					$select_fields['selectFields_'.$this->product->id.'_'.$text_field['index']] = str_replace('<br />', "\n", $text_field['value']);
			}
			
			$this->context->smarty->assign(array('selectFields' => $select_fields));
		}
	}
	
	protected function textRecord(){
		if (!$field_ids = $this->product->getCustomizationFieldIds())
			return false;
			
		$authorized_text_fields = array();
		foreach ($field_ids as $field_id){
			if ($field_id['type'] == Product::CUSTOMIZE_TEXTFIELD)
				$authorized_text_fields[(int)$field_id['id_customization_field']] = 'textField'.(int)$field_id['id_customization_field'];
			if ($field_id['type'] == Product::CUSTOMIZE_SELECTFIELD)
				$authorized_text_fields[(int)$field_id['id_customization_field']] = 'selectField'.(int)$field_id['id_customization_field'];
		}		
		$indexes = array_flip($authorized_text_fields);
		foreach ($_POST as $field_name => $value)
			if (in_array($field_name, $authorized_text_fields) && !empty($value))
			{
				if (!Validate::isMessage($value)){
					$this->errors[] = Tools::displayError('Invalid message');
				}else{
					$type=Product::CUSTOMIZE_TEXTFIELD;
					if(strpos($field_name, 'selectField', 0) === 0)//startswith
						$type=Product::CUSTOMIZE_SELECTFIELD;
					$this->context->cart->addTextFieldToProduct($this->product->id, $indexes[$field_name], $type, $value);
				}
			}
			else if (in_array($field_name, $authorized_text_fields) && empty($value))
				$this->context->cart->deleteCustomizationToProduct((int)$this->product->id, $indexes[$field_name]);
	}
	
	
}